Problem install cyborg

Help
2004-04-13
2013-04-02
  • Paolo Misson

    Paolo Misson - 2004-04-13

    I receive this message when I try to connect to cyborg

    CybOrg::Exception=HASH(0x8573924)BEGIN failed--compilation aborted at CybOrg/DB.pm line 182.
    Compilation failed in require at /var/www/cgi-bin/cyborg.pl line 30.
    BEGIN failed--compilation aborted at /var/www/cgi-bin/cyborg.pl line 30.

     
    • Joel Rosental

      Joel Rosental - 2004-04-13

      Make sure you have DBI module installed on your system

       
    • Paolo Misson

      Paolo Misson - 2004-04-14

      when I try to install the Tamplate Tolkit
      available on your system.

        Text::Autoformat [X] version 1.12 installed
        GD               [X] version 2.12 installed
        GD::Text         [X] version 0.86 installed
        GD::Graph        [X] version 1.43 installed
        GD::Graph3d      [X] version 0.63 installed
        Image::Info      [X] version 1.16 installed
        Image::Size      [X] version 2.992 installed
        Date::Calc       [X] version 5.3 installed
        Pod::POM         [X] version 0.17 installed
        Tie::DBI         [X] version 0.93 installed
        XML::DOM         [X] version 1.27 installed
        XML::RSS         [X] version 1.03 installed
        XML::XPath       [X] version 1.13 installed
        DBI              [X] version 1.38 installed, configuring tests

      the postgres is 7.3
      I have Mandrake 9.2
      or a little time function and then no... I don't understand.

       
    • maddyj

      maddyj - 2004-04-21

      Hy to everyone.
      Escuse me for my bad english first.

      I've this problem as you but the template toolkit show me this configuration

      Text::Autoformat [X] version 1.12 installed
        GD               [ ] module not installed
        GD::Text         [ ] module not installed
        GD::Graph        [ ] module not installed
        GD::Graph3d      [ ] module not installed
        Image::Info      [X] version 1.16 installed
        Image::Size      [X] version 2.992 installed
        Date::Calc       [X] version 5.3 installed
        Pod::POM         [X] version 0.17 installed
        Tie::DBI         [X] version 0.93 installed
        XML::DOM         [X] version 1.43 installed
        XML::RSS         [X] version 1.03 installed
        XML::XPath       [X] version 1.13 installed
        DBI              [X] version 1.42 installed, configuring tests

      and when i try to install GD, it give to me a dependency ,

      Warning: prerequisite Math::Trig 0 not found.

      where i could find this package? i havent found it.

      this is my output when i try to install it.

      Software error:

      CybOrg::Exception=HASH(0x85a732c)BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.0/CybOrg/DB.pm line 182.
      Compilation failed in require at /var/www/html/cyborg/cgi-bin/cyborg.pl line 30.
      BEGIN failed--compilation aborted at /var/www/html/cyborg/cgi-bin/cyborg.pl line 30.

      For help, please send mail to the webmaster (you@example.com), giving this error message and the time and date of the error.

      Have you found a result for the install problem?

      bye :D

       
    • maddyj

      maddyj - 2004-04-23

      I've found the problem for installing cyborg.

      the problem is to connect to posgresql.

      Infact i've nmpapped 5432 port without any probing.

      so you must set in postgresql.conf the port enabled, and set tcpip true.

      then set your cyborg conf with host=localhost

      and restart httpd, postgresql

      :D

       
    • maniel

      maniel - 2005-12-28

      hello 
      I have a similar problem 
      the entrance window already appears and then it leaves me this error

      in ... /cgi-bin/cyborg.pl
      error: 500 internal server error

      S.O. whitebox

      Thanks

       

Log in to post a comment.